Subject: Re: bug#8132: 23.1; comint shell replaces \ in paths with /

From: Michael Albinus <[email-masked]>
Date: Tue, 01 Mar 2011 10:02:23 +0100

Eli Zaretskii <[email-masked]> writes:

> It could be easier to make a wrapper around the file completion, which
> would simply convert all / into \ when the result is inserted into the
> shell buffer.  That's because working with / is very basic in
> file-name completion, and reaches deep into the code and the
> primitives it uses.

It should respect remote file names. A conversion to \ is not helpful
for them.

Likely, it is sufficient to suppress the conversion if default-directory
is remote.

Best regards, Michael.